<?xml version="1.0"?>
<doc>
  <assembly>
    <name>Morpher</name>
  </assembly>
  <members>
    <member name="T:Slepov.Russian.Morpher.ЯзыкПрописи">
      <summary>
            Базовый класс, содержит методы преобразования числа в пропись, общие для русского и украинского.
            </summary>
    </member>
    <member name="M:Slepov.Russian.Morpher.ЯзыкПрописи.GetUnit(System.Int32)">
      <summary> Получить название класса с заданным рангом. </summary>
      <param name="rank">0 = тысячи, 1 = миллионы, 2 = миллиарды и т.д. </param>
    </member>
    <member name="P:Slepov.Russian.Morpher.ЯзыкПрописи.MaxRank">
      <summary>
            1 = 1000, 2 = 1000000, etc
            </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.ЯзыкПрописи.MaxDecimal">
      <summary>
            Максимальное число, которое можно передать в метод <see cref="M:Slepov.Russian.Morpher.ЯзыкПрописи.Пропись(System.Decimal,System.String@,Slepov.Russian.Morpher.Падеж)" />.
            </summary>
    </member>
    <member name="T:Slepov.Russian.Morpher.Склонятель">
      <summary>
            Класс для автоматического склонения словосочетаний.
            </summary>
      <remarks>
            Основной метод - <see cref="M:Slepov.Russian.Morpher.Склонятель.Проанализировать(System.String,Slepov.Russian.Morpher.Признак[])" />.
            </remarks>
    </member>
    <member name="M:Slepov.Russian.Morpher.Склонятель.#ctor(System.String)">
      <summary>
            Инициализирует Склонятель.  
            Занимает около 200 миллисекунд на процессоре Intel T5300.
            </summary>
      <param name="key">
      </param>
    </member>
    <member name="M:Slepov.Russian.Morpher.Склонятель.Проанализировать(System.String,Slepov.Russian.Morpher.Признак[])">
      <summary>
            Анализирует данное <paramref name="словосочетание" /> 
            для последующего получения его падежных форм.
            </summary>
      <param name="словосочетание">
            Словосочетание для анализа, например "Иванов Иван", 
            "инженер-программист".
            </param>
      <param name="признаки">
            Дополнительные признаки входного словосочетания, служащие для 
            разрешения неоднозначностей естественного языка.
            </param>
      <returns>
            Возвращает null, если исходное <paramref name="словосочетание" /> 
            не содержит русских слов.
            </returns>
      <exception cref="T:System.ArgumentException">
            Если указаны взаимоисключающие признаки (ФИО + Нарицательное или 
            МужскойРод + ЖенскийРод).
            </exception>
    </member>
    <member name="M:Slepov.Russian.Morpher.Склонятель.Move(System.Collections.Generic.LinkedList{System.String},System.Collections.Generic.LinkedList{System.String},System.Collections.Generic.LinkedList{Slepov.Russian.Morpher.MultiPartDecoratedWord})">
      <summary>
            Перенести столько разделителей, сколько частей в слове.
            </summary>
    </member>
    <member name="M:Slepov.Russian.Morpher.Склонятель.ОпираетсяНаЧислительное(System.String)">
      <summary>
            Возвращает true, если данное <paramref name="словосочетание" /> 
            имеет в качестве опорного слова числительное и, следовательно, 
            не может правильно склоняться Склонятелем.
            </summary>
    </member>
    <member name="T:Slepov.Russian.Morpher.IСклоняемое">
      <summary>
            Представляет словосочетание, проанализированное методом
            <see cref="M:Slepov.Russian.Morpher.Склонятель.Проанализировать(System.String,Slepov.Russian.Morpher.Признак[])" />.
            </summary>
      <remarks>
            Содержит свойства, возвращающие соответствующие падежные формы 
            проанализированного словосочетания.
            </remarks>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Множественное">
      <summary>
             Набор форм множественного числа или null, если мн.ч. нет (еда, борьба) или это склоняемое уже во множественном числе.
             </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Именительный">
      <summary>
             Форма именительного падежа (кто, что?). 
             </summary>
      <remarks>
             Cовпадает со строкой, переданной методу 
             <see cref="M:Slepov.Russian.Morpher.Склонятель.Проанализировать(System.String,Slepov.Russian.Morpher.Признак[])" />.
             </remarks>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Родительный">
      <summary>
             Форма родительного падежа (кого, чего?).  Может быть null.
             </summary>
      <remarks>
             Возвращает null, если хотя бы одно слово этого словосочетания
             не может быть поставлено в заданную форму (например, род. от "мзды").
             </remarks>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Дательный">
      <summary>
             Форма дательного падежа (кому, чему?).
             </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Винительный">
      <summary>
             Форма винительного падежа (кого, что?).
             </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Творительный">
      <summary>
             Форма творительного падежа (кем, чем?).
             </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.ПредложныйБезПредлога">
      <summary>
             Форма предложного падежа (о ком, о чём?) без предлога.
             </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Предложный">
      <summary>
             Форма предложного падежа (о ком, о чём?) с предлогом о/об/обо.
             </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Где">
      <summary>
             Форма, отвечающая на вопрос "где?" с предлогом в, во или на.
             </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.РодЧисло">
      <summary>
             Автоматически определённые род и число словосочетания.
             Для слов типа "брюки, ножницы" и т.п. возвращается множественное число.
             </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.ЯвляетсяФИО">
      <summary>
             Возвращает true, если программа распознала входное словосочетание как ФИО.
             </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.СчетнаяФорма">
      <summary>
             Форма, следующая за числительными два, три, четыре (календарных дня).
             </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Куда">
      <summary>
             Форма, отвечающая на вопрос "куда?" с предлогом в, во или на.
             </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Откуда">
      <summary>
             Форма, отвечающая на вопрос "откуда?" с предлогом из или с.
             </summary>
    </member>
    <member name="T:Slepov.Russian.Morpher.Признак">
      <summary>
            Сообщает методу <see cref="M:Slepov.Russian.Morpher.Склонятель.Проанализировать(System.String,Slepov.Russian.Morpher.Признак[])" />
            дополнительную информацию о входном словосочетании.
            </summary>
    </member>
    <member name="F:Slepov.Russian.Morpher.Признак.ФИО">
      <summary>
            Словосочетание состоит из одного только ФИО.
            </summary>
    </member>
    <member name="F:Slepov.Russian.Morpher.Признак.Нарицательное">
      <summary>
            Склоняемая часть словосочетания - имя нарицательное.
            </summary>
    </member>
    <member name="F:Slepov.Russian.Morpher.Признак.МужскойРод">
      <summary>
            Словосочетание мужского рода.
            </summary>
    </member>
    <member name="F:Slepov.Russian.Morpher.Признак.ЖенскийРод">
      <summary>
            Словосочетание женского рода.
            </summary>
    </member>
  </members>
</doc>